/*
//	File:		SPITest.h
//	Created:	Christian Apfel
//	Date:		01.04.2016
//	Modified:	Christian Apfel
//	Date:		10.08.2016
//
*/

#ifndef SPITEST_H
#define SPITEST_H

class SPITest
{
public:
	SPITest();
	~SPITest();
	void StartSpiTest();
	bool SPIWriteTest(DHCOM_SPIEnum eSPIPort, DHCOM_SPIModeEnum eSPIMode, unsigned int *iData, unsigned int *iReverseData, bool bLoopback);
	bool SPIReadTest(DHCOM_SPIEnum eSPIPort, DHCOM_SPIModeEnum eSPIMode, unsigned int *iData);
	bool SPIWriteMultipleTest(DHCOM_SPIEnum eSPIPort, DHCOM_SPIModeEnum eSPIMode, unsigned int iWCount, unsigned int *iData);
	bool SPIReadMultipleTest(DHCOM_SPIEnum eSPIPort, DHCOM_SPIModeEnum eSPIMode, unsigned int iWCount, unsigned int *iData);
	bool SPIWriteFlash(DHCOM_SPIEnum eSPIPort, DHCOM_SPIModeEnum eSPIMode, unsigned int iRegAddr, unsigned int iWCount, unsigned int *iData);
	bool SPIReadFlash(DHCOM_SPIEnum eSPIPort, DHCOM_SPIModeEnum eSPIMode, unsigned int iRegAddr, unsigned int iWCount, unsigned int *iData);
};

#endif